// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.

$custom-typography: mat-typography-config(
  $font-family: 'Proxima Nova'
);

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core($custom-typography);

$mat-wallethub: (
  50: #feeee8,
  100: #fed4c5,
  200: #fdb79e,
  300: #fc9a77,
  400: #fb845a,
  500: #fa6e3d,
  600: #f96637,
  700: #f95b2f,
  800: #f85127,
  900: #f63f1a,
  A100: #ffffff,
  A200: #fff7f6,
  A400: #ffcbc3,
  A700: #ffb5a9,
  contrast: (
    50: $white-87-opacity,
    100: $white-87-opacity,
    200: $white-87-opacity,
    300: $white-87-opacity,
    400: $white-87-opacity,
    500: $white-87-opacity,
    600: $white-87-opacity,
    700: $white-87-opacity,
    800: white,
    900: white,
    A100: $white-87-opacity,
    A200: $white-87-opacity,
    A400: $white-87-opacity,
    A700: white
  )
);
$mat-wallethub-accent: (
  50: #ebfaf9,
  100: #cdf3f1,
  200: #acece8,
  300: #8be4df,
  400: #72ded8,
  500: #59d8d1,
  600: #51d4cc,
  700: #48cec6,
  800: #3ec8c0,
  900: #2ebfb5,
  A100: #ffffff,
  A200: #cefffb,
  A400: #9bfff8,
  A700: #82fff6,
  contrast: (
    50: $white-87-opacity,
    100: $white-87-opacity,
    200: $white-87-opacity,
    300: $white-87-opacity,
    400: $white-87-opacity,
    500: $white-87-opacity,
    600: $white-87-opacity,
    700: $white-87-opacity,
    800: white,
    900: white,
    A100: $white-87-opacity,
    A200: $white-87-opacity,
    A400: $white-87-opacity,
    A700: white
  )
);

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$wallethub-primary: mat-palette($mat-wallethub);
$wallethub-accent: mat-palette($mat-wallethub-accent);

// The warn palette is optional (defaults to red).
$wallethub-warn: mat-palette($mat-red);

// Create the theme object (a Sass map containing all of the palettes).
$wallethub-theme: mat-light-theme(
  $wallethub-primary,
  $wallethub-accent,
  $wallethub-warn
);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($wallethub-theme);

/* You can add global styles to this file, and also import other style files */
body {
  margin: 0;
  font-family: 'Proxima Nova', sans-serif;
}
.mat-progress-bar-http {
  position: fixed !important;
  top: 0;
  left: 0;
  z-index: 5;
}
